Get Lien Submission Attachments
curl --request GET \
--url https://api.baselayer.com/lien_submissions/{filing_id}/attachments \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/lien_submissions/{filing_id}/attachments"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/lien_submissions/{filing_id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_filename": "lien_document.pdf"
}
]{
"code": 1,
"message": "Could not locate the resource for the given URI.",
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Lien Filing
Get Lien Submission Attachments
Retrieve attachments for a specific lien filing submission.
This endpoint allows you to fetch a list of attachments associated with a given lien filing submission. The attachments provide additional documentation or evidence related to the lien filing.
GET
/
lien_submissions
/
{filing_id}
/
attachments
Get Lien Submission Attachments
Authorizations
Path Parameters
The ID of the lien filing to retrieve attachments for.
Example:
"412a49b5-7466-426b-bf1e-081b00b54576"
Query Parameters
The maximum number of lien filing attachments to return.
Required range:
x >= 1The number of lien filing attachments to skip before starting to return the attachments.
Required range:
x >= 0Response
The lien filing attachments.